Subject: Re: [PATCH net-next 02/12] net: dsa: add Renesas RZ/N1 switch tag driver

From: Clément Léger <[email-masked]>
Date: Fri, 15 Apr 2022 09:23:00 +0200

Le Thu, 14 Apr 2022 17:23:46 +0100,
"Russell King (Oracle)" <[email-masked]> a écrit :

> On Thu, Apr 14, 2022 at 06:18:15PM +0200, Clément Léger wrote:
> > Le Thu, 14 Apr 2022 18:11:46 +0300,
> > Vladimir Oltean <[email-masked]> a écrit :
> >   
> > > On Thu, Apr 14, 2022 at 04:35:46PM +0200, Clément Léger wrote:  
> > > > > Please keep variable declarations sorted in decreasing order of line
> > > > > length (applies throughout the patch series, I won't repeat this comment).    
> > > > 
> > > > Acked, both PCS and DSA driver are ok with that rule. Missed that one
> > > > though.    
> > > 
> > > Are you sure? Because a5psw_port_stp_state_set() says otherwise.  
> > 
> > Weeeeell, ok let's say I missed these two. Would be useful to have such
> > checks in checkpatch.pl.  
> 
> Note that it's a local networking coding-style issue, rather than being
> kernel-wide.
> 

Hi Russell, Yes I was aware of that but if I remember correctly, there
are some netowrking checks like multi line comments without an empty
first line in checkpatch. Anyway, I'll make sure to check that mroe
carefully next time.

-- 
Clément Léger,
Embedded Linux and Kernel engineer at Bootlin
https://bootlin.com